## org.eclipse.emf.cdo.server
Interface ISession

All Superinterfaces:
  CDOCommonSession, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.container.IContainer<IView>, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.security.IUserAware

    public interface ISession

extends CDOCommonSession, org.eclipse.net4j.util.container.IContainer<IView>

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession
`CDOCommonSession.Options`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`ISessionManager` `getSessionManager()`
`boolean` `isSubscribed()`
`IAudit` `openAudit(int viewID, long timeStamp)`
`ITransaction` `openTransaction(int viewID)`
`IView` `openView(int viewID)`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession
`getSessionID, getView, getViews, options`

Methods inherited from interface org.eclipse.net4j.util.security.IUserAware
`getUserID`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getSessionManager

    ISessionManager getSessionManager()

### isSubscribed

    boolean isSubscribed()

  Since:
    2.0

### openView

    IView openView(int viewID)

  Since:
    2.0

### openAudit

    IAudit openAudit(int viewID,
                     long timeStamp)

  Since:
    2.0

### openTransaction

    ITransaction openTransaction(int viewID)

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.